Page MenuHomePhabricator

Add CMakeLists.txt files for new LIT based harness
ClosedPublic

Authored by rengolin on Oct 26 2015, 4:48 AM.

Details

Summary

This is a precursor for D14046, which adds all CMakeLists.txt files to all directories of the test-suite.

This commit is separated to avoid license issues on the test-suite, and was created solely using the script provided in D14046.

With this in, however, we're safe from removing the script and just committing this change instead.

Diff Detail

Repository
rL LLVM

Event Timeline

rengolin updated this revision to Diff 38391.Oct 26 2015, 4:48 AM
rengolin retitled this revision from to Add CMakeLists.txt files for new LIT based harness.
rengolin updated this object.
rengolin added reviewers: jmolloy, cmatthews, beanz.
rengolin set the repository for this revision to rL LLVM.
rengolin added subscribers: vkalintiris, llvm-commits.
jmolloy accepted this revision.Oct 26 2015, 5:01 AM
jmolloy edited edge metadata.

LGTM. There will likely be one or two bugs "lost in translation", but they'll have to be fixed as and when we find them.

Let's leave this open for the moment though because Chris M and Chris B haven't had time to comment on the general approach.

This revision is now accepted and ready to land.Oct 26 2015, 5:01 AM

LGTM. There will likely be one or two bugs "lost in translation", but they'll have to be fixed as and when we find them.

So, I tried to use this with your patch, and got the error:

CMake Error at MultiSource/Applications/Burg/CMakeLists.txt:17 (add_yacc_parser):
  Unknown CMake command "add_yacc_parser".

The FindYACC.cmake file is in the right place.

beanz accepted this revision.Oct 26 2015, 2:52 PM
beanz edited edge metadata.

This LGTM!

Thanks for taking a stab at this!

jlebar added a subscriber: jlebar.Jan 12 2016, 6:56 PM

LGTM. There will likely be one or two bugs "lost in translation", but they'll have to be fixed as and when we find them.

So, I tried to use this with your patch, and got the error:

CMake Error at MultiSource/Applications/Burg/CMakeLists.txt:17 (add_yacc_parser):
  Unknown CMake command "add_yacc_parser".

The FindYACC.cmake file is in the right place.

I also just hit this.

What I think is happening is, I don't have yacc installed, so FindYACC never defines the add_yacc_parser macro.

It seems like we shouldn't try to build Burg if you don't have yacc installed. I sent D16130.

rengolin closed this revision.Jun 27 2016, 6:39 AM